--- /dev/null
+#!/bin/sh
+# Upload /mo skeleton
+# Assumes that /nfs/export at workstations points to /export of the caller
+
+[ -f cf/mop ] || { echo "Missing config file, check cwd." ; exit 1 ; }
+set -e
+. cf/mop
+DIRS="desktop documentation problems public"
+
+(
+ cd $MO_ROOT &&
+ chown -R root.root $DIRS &&
+ chmod -R go=rX $DIRS &&
+ tar cavvf /export/skeleton.tar.gz $DIRS
+)
+
+# XXX: Beware of quoting!
+bex add -i upload-public -s 'Upload /mo/public' -e "rm -rf $MO_ROOT && mkdir $MO_ROOT && cd $MO_ROOT && tar xavvf /nfs/export/skeleton.tar.gz" contest -g